Bug 845510 - gluster volume delete --xml outputs wrong xml structure
gluster volume delete --xml outputs wrong xml structure
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Kaushal
: Triaged
Depends On:
Blocks: 849296 858463
  Show dependency treegraph
 
Reported: 2012-08-03 05:29 EDT by Bala.FA
Modified: 2015-11-22 21:57 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 849296 (view as bug list)
Environment:
Last Closed: 2013-07-24 13:47:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bala.FA 2012-08-03 05:29:41 EDT
gluster volume delete --xml outputs
<cliOutput>
  <volDelete>
    <volname>test2</volname>
  </volDelete>
</cliOutput>

excepted xml is
<cliOutput>
  <opRet>0</opRet>
  <opErrno>0</opErrno>
  <opErrstr/>
  <volDelete>
    <volume>
      <name>music</name>
      <id>b3114c71-741b-4c6f-a39e-80384c4ea3cf</id>
    </volume>
  </volDelete>
</cliOutput>
Comment 1 Kaushal 2012-10-10 03:21:01 EDT
Patch under review at http://review.gluster.org/3869
Comment 2 Kaushal 2012-10-11 23:50:09 EDT
Fixed by commit f1f3d1c (cli: Changes and enhancements to XML output) for bug https://bugzilla.redhat.com/show_bug.cgi?id=828131 . Reviewed at http://review.gluster.org/3869 .
Comment 3 Bala.FA 2012-10-17 02:13:03 EDT
Fixed in upstream

Note You need to log in before you can comment on or make changes to this bug.